PAUSE(3C)

NAME
pause - stop until signal

SYNOPSIS
pause()

DESCRIPTION
Pause never returns normally. It is used to give up control while waiting for a signal from kill(2) or an interval timer, see setitimer(2). Upon termination of a signal handler started during a pause, the pause call will return.

RETURN VALUE
Always returns -1.

ERRORS
Pause always returns:

[EINTR]
    The call was interrupted.

SEE ALSO
kill(2), select(2), sigpause(2)